Hello,
does not regenerate the configure script completely the same and correctly.
The changes result in a non-functional configure script.
Running the regenerated ncurses ./configure results in the following error:
configure: creating ./config.status
./config.status: line 273: syntax error near unexpected token `\"'
./config.status: line 273: ` "\" ) CONFIG_FILES="$CONFIG_FILES \" ;;'
I think running autoreconf on an untouched master should not modify the configure script, shouldn't it?
I hope the logs provide sufficient info as to what might be causing the problem.
When running autoreconf -f -i -v in the root directory of
(ncurses 6.2 - patch 20201003; 349761f30e7fc0b4bf2718f7fc3da34e09ea6735), the following diff is produced:
configure | 35 +++++++++++++++++++++--------------
1 file changed, 21 insertions(+), 14 deletions(-)
diff --git a/configure b/configure
index dfb4fc09..f8282f8b 100755
--- a/configure
+++ b/configure
@@ -27291,7 +27291,7 @@ cat >>confdefs.h <<\EOF
#define HAVE_CURSES_DATA_BOOLNAMES 1
EOF
-ac_config_files="$ac_config_files include/MKterm.h.awk include/curses.head:include/curses.h.in include/ncurses_dll.h include/termcap.h include/unctrl.h $SUB_MAKEFILES Makefile"
+ac_config_files="$ac_config_files \
include/MKterm.h.awk \
include/curses.head:include/curses.h.in \
include/ncurses_dll.h \
include/termcap.h \
include/unctrl.h \
$SUB_MAKEFILES \
Makefile"
ac_config_commands="$ac_config_commands default"
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
@@ -27683,16 +27683,23 @@ for ac_config_target in $ac_config_targets
do
case "$ac_config_target" in
# Handling of arguments.
+ "\
" ) CONFIG_FILES="$CONFIG_FILES \
" ;;
"include/MKterm.h.awk" ) CONFIG_FILES="$CONFIG_FILES include/MKterm.h.awk" ;;
+ "\
" ) CONFIG_FILES="$CONFIG_FILES \
" ;;
"include/curses.head" ) CONFIG_FILES="$CONFIG_FILES include/curses.head:include/curses.h.in" ;;
+ "\
" ) CONFIG_FILES="$CONFIG_FILES \
" ;;
"include/ncurses_dll.h" ) CONFIG_FILES="$CONFIG_FILES include/ncurses_dll.h" ;;
+ "\
" ) CONFIG_FILES="$CONFIG_FILES \
" ;;
"include/termcap.h" ) CONFIG_FILES="$CONFIG_FILES include/termcap.h" ;;
+ "\
" ) CONFIG_FILES="$CONFIG_FILES \
" ;;
"include/unctrl.h" ) CONFIG_FILES="$CONFIG_FILES include/unctrl.h" ;;
+ "\
" ) CONFIG_FILES="$CONFIG_FILES \
" ;;
"$SUB_MAKEFILES" ) CONFIG_FILES="$CONFIG_FILES $SUB_MAKEFILES" ;;
+ "\
" ) CONFIG_FILES="$CONFIG_FILES \
" ;;
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
"include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
- *) { { echo "$as_me:27695: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:27702: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -28196,7 +28203,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:28199: creating $ac_file" >&5
+ { echo "$as_me:28206: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -28214,7 +28221,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:28217: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:28224: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -28227,7 +28234,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:28230: error: cannot find input file: $f" >&5
+ { { echo "$as_me:28237: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -28243,7 +28250,7 @@ cat >>$CONFIG_STATUS <<\EOF
if test -n "$ac_seen"; then
ac_used=`grep '@datarootdir@' $ac_item`
if test -z "$ac_used"; then
- { echo "$as_me:28246: WARNING: datarootdir was used implicitly but not set:
+ { echo "$as_me:28253: WARNING: datarootdir was used implicitly but not set:
$ac_seen" >&5
echo "$as_me: WARNING: datarootdir was used implicitly but not set:
$ac_seen" >&2;}
@@ -28252,7 +28259,7 @@ $ac_seen" >&2;}
fi
ac_seen=`grep '${datarootdir}' $ac_item`
if test -n "$ac_seen"; then
- { echo "$as_me:28255: WARNING: datarootdir was used explicitly but not set:
+ { echo "$as_me:28262: WARNING: datarootdir was used explicitly but not set:
$ac_seen" >&5
echo "$as_me: WARNING: datarootdir was used explicitly but not set:
$ac_seen" >&2;}
@@ -28289,7 +28296,7 @@ s,@INSTALL@,$ac_INSTALL,;t t
ac_init=`egrep '[ ]*'$ac_name'[ ]*=' $ac_file`
if test -z "$ac_init"; then
ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
- { echo "$as_me:28292: WARNING: Variable $ac_name is used but was not set:
+ { echo "$as_me:28299: WARNING: Variable $ac_name is used but was not set:
$ac_seen" >&5
echo "$as_me: WARNING: Variable $ac_name is used but was not set:
$ac_seen" >&2;}
@@ -28300,7 +28307,7 @@ $ac_seen" >&2;}
egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
if test -s $tmp/out; then
ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
- { echo "$as_me:28303: WARNING: Some variables may not be substituted:
+ { echo "$as_me:28310: WARNING: Some variables may not be substituted:
$ac_seen" >&5
echo "$as_me: WARNING: Some variables may not be substituted:
$ac_seen" >&2;}
@@ -28349,7 +28356,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:28352: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:28359: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -28360,7 +28367,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:28363: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:28370: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -28373,7 +28380,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:28376: error: cannot find input file: $f" >&5
+ { { echo "$as_me:28383: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -28431,7 +28438,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:28434: $ac_file is unchanged" >&5
+ { echo "$as_me:28441: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -28818,7 +28825,7 @@ cf_ITEM=`echo "$cf_item" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQ
(cygdll|msysdll|mingw|msvcdll)
test "x$with_shared_cxx" = xno && test -n "$verbose" && echo " overriding CXX_MODEL to SHARED" 1>&6
-echo "${as_me:-configure}:28821: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:28828: testing overriding CXX_MODEL to SHARED ..." 1>&5
with_shared_cxx=yes
;;
The output of the autoreconf -f -i -v command is the following:
$ ../autoconf_ncurses/prefix/bin/autoreconf -f -i -v
autoreconf: using autoconf 2.52.20200802: ../autoconf_ncurses/prefix/bin//autoconf
autoreconf: using autoheader 2.52.20200802: ../autoconf_ncurses/prefix/bin//autoheader
autoreconf: using automake 1.16.1: automake
autoreconf: using aclocal 1.16.1: aclocal
autoreconf: running ../autoconf_ncurses/prefix/bin//autoconf -l . --verbose in Ada95
../autoconf_ncurses/prefix/bin/autoreconf: line 366: ../autoconf_ncurses/prefix/bin//autoconf: No such file or directory
autoreconf: running ../autoconf_ncurses/prefix/bin//autoconf -l . --verbose -t AC_CONFIG_HEADERS:$1
../autoconf_ncurses/prefix/bin/autoreconf: line 376: ../autoconf_ncurses/prefix/bin//autoconf: No such file or directory
autoreconf: running ../autoconf_ncurses/prefix/bin//autoconf -l . --verbose in .
autoconf: running /usr/bin/m4 --nesting-limit=1024 -I /c/users/maarten/source/repos/autoconf_ncurses/prefix/share/autoconf -I . -Dm4_tmpdir=/tmp/ar0HlfxQ/ac89qieo -Dm4_warnings=syntax --reload-state=/c/users/maarten/source/repos/autoconf_ncurses/prefix/share/autoconf/autoconf.m4f ./aclocal.m4 configure.in
autoconf: forbidden: ^m4_|^dnl$|^_?AS_|^_?A[CHUM]_|_AC_
autoconf: allowed: ^AS_FLAGS$
autoreconf: running ../autoconf_ncurses/prefix/bin//autoconf -l . --verbose -t AC_CONFIG_HEADERS:$1
autoconf: running /usr/bin/m4 --nesting-limit=1024 -I /c/users/maarten/source/repos/autoconf_ncurses/prefix/share/autoconf -I . -Dm4_tmpdir=/tmp/ar0HlfxQ/acwL6iCY -t AC_CONFIG_HEADERS -daflq -Derrprint --reload-state=/c/users/maarten/source/repos/autoconf_ncurses/prefix/share/autoconf/autoconf.m4f ./aclocal.m4 configure.in -o /tmp/ar0HlfxQ/acwL6iCY/traces
autoconf: running /usr/bin/m4 --nesting-limit=1024 /tmp/ar0HlfxQ/acwL6iCY/trace.m4
autoreconf: running ../autoconf_ncurses/prefix/bin//autoconf -l . --verbose in test
../autoconf_ncurses/prefix/bin/autoreconf: line 366: ../autoconf_ncurses/prefix/bin//autoconf: No such file or directory
autoreconf: running ../autoconf_ncurses/prefix/bin//autoconf -l . --verbose -t AC_CONFIG_HEADERS:$1
../autoconf_ncurses/prefix/bin/autoreconf: line 376: ../autoconf_ncurses/prefix/bin//autoconf: No such file or directory
Thanks!
Maarten